Add items to shipping methods
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/shipping/{shipMethodId}/item \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"itemIds": [
"234553",
"12345"
]
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/shipping/{shipMethodId}/item"
payload = { "itemIds": ["234553", "12345"] }
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({itemIds: ['234553', '12345']})
};
fetch('https://prod01.oms.fabric.inc/api/v2/shipping/{shipMethodId}/item', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"shippingMethodId": "5349b4ddd2781d08c09890f4",
"itemId": "1234",
"deleted": false
}
]{
"message": "Bad Request"
}{
"message": "<string>"
}{
"message": "Internal Server Error"
}Shipping Method
Add items to shipping methods
Associated items to a shipping method
POST
/
shipping
/
{shipMethodId}
/
item
Add items to shipping methods
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
24-character system-generated unique ID for shipping method
Body
application/json
List of item IDs
List of item IDs
Example:
["234553", "12345"]
Was this page helpful?
